Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

nombre réponses : 25

#0 Re : -1 »  Afficher les polices Microsoft comme dans Windows! » Le 07/09/2006, à 23:38

mildred
Réponses : 58

Il n'y a pas moyen d'avoir le même résultat avec des polices libres ...
Installer celles de microsoft ... enfin, je n'ai pas trop envie. Surtout que cela fait des listres que je n'ai plus Windows.

#1 Re : -1 »  IPv6 : connect: Network is unreachable » Le 11/04/2009, à 22:53

mildred
Réponses : 2

Tu nous dis que tu as une adresse IPv6:

adr inet6: fe80::222:xxxx:xxxx:xxxx/64 [b]Scope:Lien[/b]

Seulement, sa portée n'est que locale (Scope:Link). Tu devrais avoir une autre adresse avec un scope global.

Je ne sais pas trop où est le problème, mais ça doit venir de là. Si tu n'as pas une adresse globale, tu peux juste communiquer en IPv6 sur le réseau local.

Ceci dit, j'ai une adresse globale, mais je n'ai pas de connectivité IPv6, je pense que c'est parce que la table de routage n'est pas bonne, il n'arrive pas à trouver le routeur IPv6. Pour voir la table de routage, c'est:

route -A inet6

Chez moi ça donne:

Kernel IPv6 routing table
Destination                                 Next Hop                                Flags Metric Ref    Use Iface
2a01:e35:2e96:1f0::/64                      *                                       UA    256    0        0 wlan0   
fe80::/64                                   *                                       U     256    0        0 virbr0  
fe80::/64                                   *                                       U     256    0        0 wlan0   
localhost6.localdomain6/128                 *                                       U     0      15       1 lo      
2a01:e35:2e96:1f0:219:e3ff:fed8:18b/128     *                                       U     0      0        1 lo      
fe80::219:e3ff:fed8:18b/128                 *                                       U     0      0        1 lo      
fe80::6c57:17ff:fe66:28b9/128               *                                       U     0      0        1 lo      
ff00::/8                                    *                                       U     256    0        0 virbr0  
ff00::/8                                    *                                       U     256    0        0 wlan0

Je pense qu'il manque une entrée du style 2001::/16 avec un next-hop non vide (je crois que les adresse internet v6 commencent par 2001)

#2 -1 »  WinFast TV 200 XP - lire l'entrée vidéo sans pouvoir enregistrer » Le 16/10/2005, à 15:59

mildred
Réponses : 7

Bonjour,

Il y a quelques temps, j'ai acheté la carte TV WinFast TV 2000 Expert XP ... choisie pour son support Linux.
De fait, tout marche bien si ce n'est deux petits problèmes:
- impossible d'enregistrer.
- touches insensibles sur la télécommande

Que se passe-t-il ?

J'arrive sans problèmes à visualiser l'entrée Vidéo avec TvTime ou encore Zapping.
Je n'arrive pas à lire l'entrée vidéo avec xawtv ou encore gv4l. J'ai au choix un écran tout bleu ou tout vert ...
Pour résumer, les applications qui fonctionnent ne permettent pas l'enregistrement.

Autre chose, avec l'application Zapping, j'ai l'erreur suivante : « Erreur : Ne peux pas démarre l'overlay vidéo. tv_set_overlay_buffer not supported by driver »
De fait, le mode Overlay ne marche pas ... mais le mode Capture fonctionne bien.
Cela peut-il avoir un lien ?

Sinon, pour la télécommande, certaines touches marchent mais la plupart sont sans effet ... ce qui est un peu gênant. J'ai vu dans la manuel de la carte TV qu'elle était fournie avec 3 télécommandes différentes ... d'ou je pense les problèmes.
Si la télécommande était gérée par lirc, j'aurais pu je pense la configurer. Mais c'est le driver bttv qui s'occupe de toute la carte qui gère la télécommande ... et ajoute des touches à X...
De plus, pas moyen d'utiliser lirc, la télécommande n'est pas reconnue. Voir mon autre post

Des iodées ?
Merci de votre attention.

#3 Re : -1 »  WinFast TV 200 XP - lire l'entrée vidéo sans pouvoir enregistrer » Le 17/10/2005, à 20:11

mildred
Réponses : 7

Si je me rapelle bien, MythTV c'est la grosse uzine à gaz qui fonctionne en client/serveur (va savoir pourquoi d'ailleurs) que je n'avais pas réussi a configurer.
Merci de ton lien, je vais voir même si j'aurais préféré une application un peu plus 'light'. Genre gv4l ...

J'avais même installé Windows sammedi en désespoir de cause (MS-FDISK m'a corrompu en passant ma partition racine Breezy ... je l'ai donc réinstallée).
Et je dois dire que le logiciel vendu avec la carte WinFast est pas mal (il fait tout) même si l'interface n'est pas des plus jolies (mais pourquoi se sentent-ils obligés de réinventer toujours les widgets ?).
En même temps, même le magnétoscope branché sur l'entrée composite plante ... il faut dire que c'est un vieux magnétoscope.

Re-merci, je vais aller voir

#4 Re : -1 »  WinFast TV 200 XP - lire l'entrée vidéo sans pouvoir enregistrer » Le 17/10/2005, à 22:05

mildred
Réponses : 7

Merci  ... mais MythTV est inutilisable ou presque ...

- D'abord c'est un outil beaucoup trop lourg pour ce que je veux faire ... comme enfoncer un clou avec un buldozer
- Pas de souris ... en fait si mais le pointeur n'est pas affiché
- Je peux voir la source Composite1 mais en Noir&Blanc avec de grosses raies horizontales. Je pense que je n'ai pas réussi a configurer le mode SECAM
- Pour la télécommande, ca ne va sûrement pas corriger automatiquement le module noyeau ...

Vous pensez que je peux faire un Bug Report ..? Je commence a desesperer ...
Merci quand même ... j'aurais essayé.

PS: en passant, je suis obligée d'ouvrur un autre serveur X pour configurer MythTV car si j'utilise su, il me dit: « mythtv-setup: cannot connect to X server »

#5 Re : -1 »  WinFast TV 200 XP - lire l'entrée vidéo sans pouvoir enregistrer » Le 18/10/2005, à 12:23

mildred
Réponses : 7

Merci de la réponse.
J'ai suivi le tuto Ubuntu mais c'est vrai que je n'ai pas tout lu, nje n'ai pas vu que le problème X était expliqué ... mais ca se contourne pas trop difficilement.

Sinon, je ne comprend pas pourquoi Zapping ou TvTime peut utilise la carte TV en mode SECAM (sans options spéciales du module) alors que MythTV n'y arrive pas ..?
Il y a même une option dans la configuration ... alors a quoi sert-elle ?

Pour Lirc, j'avais essayé la compilation (de plein de manières différentes) sans arriver à un résultat satisfaisant. J'ai l'impression que comme bttv gère l'infrarouge, il empêche à lirc de le gérer aussi.
Et pourquoi le module n'est pas disponible précompilé dans synaptic ? Que les sources ...

Sinon, tu as raison, MythTV a l'air adapté pour faire un PC Multimédia uniquement, sans écran qui se branche sur la TV ... Mais pour un PC qu'on utilise normalement comme PC, cela ne me semble pas adapté quand même.

#6 Re : -1 »  WinFast TV 200 XP - lire l'entrée vidéo sans pouvoir enregistrer » Le 17/12/2008, à 22:26

mildred
Réponses : 7

Ca fait longtemps ... et je n'utilise plus ni ce PC, ni Ubuntu ...

Je suppose que tu peux utiliser tvtime (il marchait très bien à l'époque) ou xawtv, et pour ma part, je crois que la carte a directement été supportée (avec quelques problèmes au niveau de la télécommande, certains boutons ne marchaient pas, mais rien de plus).

#7 Re : -1 »  Un modem 56K USB compatible Linux et Mac ? » Le 22/10/2008, à 21:47

mildred
Réponses : 4

Finalement, qu'en est-il du modem USRobotics USR065637 ?

J'aurais besoin d'un modem aussi et je pense que ce serait la solution, mais je préfère vérifier trois fois avant. Normalement il est compatible (spécifications) mais comme il est indiqué Linux 2.4 ... j'ai peut que ce soit un module noyau propriétaire (même si je ne le pense pas)

En effet, un jour j'ai acheté un modem PCI qui devait être compatible Linux ... Et en guise de driver on avait juste droit à un module pour les noyaux 2.4 (c'était une ancienne version du driver linuxant). Donc depuis je préfère vérifier.

De toute façon, je ne pense pas risquer grand chose si je l'achète par correspondance, je crois qu'on a une ou deux semaines pour renvoyer le produit (et avec une raison valable en plus).

edit: il semble en fait parfaitement supporté sur n'importe quel Linux. Un lien sur le site d'USRobotics semble le confirmer.

#8 Re : -1 »  Brother DCP-115c ..et drivers LPR » Le 08/08/2006, à 11:04

mildred
Réponses : 61

la solution : http://ubuntuforums.org/showthread.php?t=1948231.

Créer le fichier "/etc/udev/rules.d/10-local.rules" contenant :

SUBSYSTEM!="usb_device", ACTION!="add", GOTO="_end"
# For brother
SYSFS{idVendor}=="04f9", MODE="666", GROUP="scanner"
LABEL="_end"

Faire un petit

sudo /etc/init.d/udev restart

Et plus de problème d'I/O (su moins sur l'ordinateur dont je m'occupe)

#9 -1 »  Impossible d'utiliser lirc (infrarouge) ... conflit avec autre module? » Le 05/09/2005, à 01:25

mildred
Réponses : 6

Bonsoir,
depuis deux jours, j'essaie de faire fonctionner la télécommande fournie avec la carte d'aquisition Leadtek WinFast TV2000 XP Expert (chipset connexant cx2388x)  <http://www.leadtek.nl/nts/uk/products/tv/index.php?page=tv.php&pronameid=93&tab=1&sid=82>

Et même, pour la peine, je suis passée en Breezy (histoire d'avoir un kernel (avec son module bttv) récent pensant que cela me permetrtait de compiler la version 0.7.2. Finalement, cela me convient même si j'aurais pu m'en passer. Cela m'a permis aussi de reprendre à zéro car j'avais un peu trop trifouillé partout.
Finalement, j'ai le kernel 2.6.12-8-686

Finalement, je compile lirc 0.7.2 ... je l'installe (module lirc_gpio), je reboote (car le makefile crée des périphériques qui ne vont pas)

Je teste alors

modprobe lirc_gpio debug=1

en surveillant /var/log/messages dans une autre console ... mais ca ne marche pas:

[root@louve ~]# modprobe lirc_gpio debug=1
FATAL: Error inserting lirc_gpio (/lib/modules/2.6.12-8-686/misc/lirc_gpio.ko): Invalid request code
[root@louve ~]# tail /var/log/messages
...
Sep  5 01:50:59 localhost kernel: [4296084.537000] The bttv_* interface is obsolete and will go away,
Sep  5 01:50:59 localhost kernel: [4296084.537000] please use the new, sysfs based interface instead.
Sep  5 01:50:59 localhost kernel: [4296084.537000] lirc_gpio (-1): could not get card type

Je trouve alors sur Internet que faire:

modprobe lirc_gpio gpio_mask=0x000008f8

fonctionnait ... (le module apparaît ans lsmod) mais ce n'est que parce que le module ne vérifie pas la carte (je pense)
De toute manière, même si lirc apparaît dans lsmod, irrecord ne fonctionne pas (il ne détecte rien de la télécommande).

Et quelle ne fut pas ma surprise de constater que la télécommande fonctionne (certains boutons seulement) ... sans que lirc soit chargé du tout !!!
alors, je regarde mon lsmod:

[root@louve ~]# lsmod|grep ir # ir comme InfraRouge
firmware_class          9952  1 bttv
via_ircc               30292  0 
irda                  187612  1 via_ircc
crc_ccitt               1984  1 irda
ir_common               7396  1 cx88xx

ce que je pense : le module ir_common gère d'une autre manière ma télécommande ...

J'ai alors pensé à irda qui est un module permettant de gérer l'infrarouge en général. mais m^eme après un rmmod via_ircc && rmmod irda je peux toujours utiliser les quelques touches valides Et je ne peux toujours pas charger lirc (m^emes erreurs)

En passant, une ligne dans dmesg indique:

[4295006.693000] cx88[0]: registered IR remote control

Qu'est ce module ir_common ?
comment faire pour charger lirc ?

#10 Re : -1 »  Impossible d'utiliser lirc (infrarouge) ... conflit avec autre module? » Le 17/09/2005, à 23:56

mildred
Réponses : 6

Je me réponds et je pense avoir trouvé la bonne solution (je compile en ce mêmme).
J'ai remarqué que la télécommande était gérée par le module cx8800 (avec ca marche, sans ca ne marche plus) et j'ai reché dans Google.
Et j'ai trouvé cela: But I want use lircd for IR input

peut être est-ce la solution

#11 -1 »  [Xorg] Ctrl-Alt-Plus et Ctrl-Alt-Moins ne marchent plus » Le 15/10/2006, à 01:03

mildred
Réponses : 4

Bonsoir,

je vous écris afin de vous faire parvenir mon dernier problème ... Les raccourcis Ctrl-Alt-plus et Ctrl-Alt-moins ne fonctionnent plus. Normalement elles devraient changer la résolution mais pas chez moi.
C'est pareil chez vous ou ce n'est que chez moi ?

Merci
Mildred

#12 Re : -1 »  [Xorg] Ctrl-Alt-Plus et Ctrl-Alt-Moins ne marchent plus » Le 15/10/2006, à 16:56

mildred
Réponses : 4

Merci de me répondre, parfois j'ai vraiment l'impression que j'ai plein de problèmes avec mon installation (comme par exemple un port parallle non reconnu, je ne sais pas pourquoi)

1) Rien dans xorg.conf

$ grep -iE '(dontzoom|handlespecialkeys)' /etc/X11/xorg.conf || echo NOT FOUND                            
NOT FOUND

2) Numlock ne change rien, ca ne fonctionne pas

3) J'ai vérifié que xorg pouvait utiliser pàlusieurs résolutions avant de poster

Section "Screen"
    Identifier     "Default Screen"
    Device         "NVIDIA Corporation NV17 [GeForce4 MX 440]"
    Monitor        "AX3817UT"
    DefaultDepth    24
...
    SubSection     "Display"
        Depth       24
        Modes      "1024x768" "832x624" "800x600" "720x400" "640x480"
    EndSubSection
EndSection

4) j'utilise une carte de clavier xkb personnalisée (pas xmodmap qui effectivement pouvait me supprimer les raccourcis Ctrl-Alt) ... et même sans ma map personnalisée j'ai le problème, alors cela ne doit pas venir de là.

Note : Les racourcis Ctrl-Alt-Fn fonctionnent

Merci pour la réponse.

Je pensait que c'était important mais en fait, ce ne l'est pas tant que ça. En fait, je devais brancher mon ordinateur sur un vidéoprojecteur et je pensait devoir changer de résolution, mais le changement s'est fait tout seul car xorg a détecté le vidéoprojecteur.

#13 -1 »  Port parallèle non trouvé » Le 22/06/2006, à 13:02

mildred
Réponses : 14

Bonjour,

J'ai une vieille imprimante qui a encore un port parallèle, et je l'aime beaucoup. Tellement, que j'ai acheté une carte PCI pour m'offrir un port parallèle car mon PC n'en disposait pas. Le problème : le port parallèle n'est pas reconnu :

$ ls /dev/lp0
ls: /dev/lp0: Aucun fichier ou répertoire de ce type

Le port parallèle en lui même fonctionne avec linux, pas de problème (testé avec un Live CD d'Ubuntu Hoary ... edit: erreur, un cd Warty encore plus vieux ... 4.10). Seulement, ma Dapper actuelle ne veux rien savoir.

Voila ce que je trouve dans dmesg (et dans mon syslog lorsque je fais un modprobe lp

[4294707.628000] lp: driver loaded but no devices found

Merci

#14 Re : -1 »  Port parallèle non trouvé » Le 22/06/2006, à 17:28

mildred
Réponses : 14
$ lspci
0000:00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400/KT600 AGP] Host Bridge
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
0000:00:09.0 Multimedia video controller: Conexant CX23880/1/2/3 PCI Video and Audio Decoder (rev 05)
0000:00:0b.0 Serial controller: Timedia Technology Co Ltd PCI2S550 (Dual 16550 UART) (rev 01)
0000:00:0d.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
0000:00:0e.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 50)
0000:00:0e.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 50)
0000:00:0e.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 51)
0000:00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
0000:00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
0000:00:11.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
0000:00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
0000:00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 74)
0000:00:13.0 RAID bus controller: Triones Technologies, Inc. HPT374 (rev 07)
0000:00:13.1 RAID bus controller: Triones Technologies, Inc. HPT374 (rev 07)
0000:01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 MX 440] (rev a3)

Sinon, plus en détail, je crois que c'est

0000:00:0b.0 Serial controller: Timedia Technology Co Ltd PCI2S550 (Dual 16550 UART) (rev 01)

Et voici ce que dit HAL Devices Manager (en passant, ca pourrait être bien de faire un dump de ces informations dans un fichier texte) :
hal_devices_manager.png
On voit que la carte fournit bien les deux ports série qui doivent sans doute marcher, mais pas le port parallèle sad

j'ai tenté de tester les ports série en branchant un cable de connexion entre les deux puis en écrivant (echo) dans /dev/ttyS4 et en lisant (cat) dans /dev/ttyS5. Mais je n'ai rien pu lire. Ce doit être normal ...

#15 Re : -1 »  Port parallèle non trouvé » Le 22/06/2006, à 20:48

mildred
Réponses : 14

EPSON Stylus COLOR 600

mais cela n'a rien a voir, car avec le live CD ubuntu Hoary, il me suffit de faire

echo test > /dev/lp0

pour que l'imprimante imprime 'test'. ici je n'ai même pas de fichier /dev/lp0

Je me demande ce que ça donnerais d'installer une Dapper toute fraiche sur une nouvelle partition ... mais je n'ai pas de partition a gaspiller sad

merci

#16 Re : -1 »  Port parallèle non trouvé » Le 22/06/2006, à 21:35

mildred
Réponses : 14

A l'installation de la Dapper, qui était une Breezy (je suis passée en unstable un moment) je n'avais pas encore de port parallèle, donc l'imprimante ne pouvait pas y être branchée.

Il sagit exactement de cette carte : http://perso.orange.fr/connectic/cpsq.htm

je devrais peut être essayer un autre kernel ... peut être le 2.6.16 ou 2.6.17 lorsqu'ils seront packagés (si ils le sont). Ou essayer un vieux kernel (2.6.8 environ), comme celui qui est sur le live-cd hoary qui arrive très bien a faire fonctionner ce port parallèle.

#17 Re : -1 »  Port parallèle non trouvé » Le 22/06/2006, à 22:51

mildred
Réponses : 14

i je rapelle bien a une epoque lointaine une install linux se faisait tous peripheriques allumes.

C'est toujours mieux, mais on ne peux pas forcément si on a pas encore le matériel lors de l'install smile

C'est pas bête l'idée du live-cd dapper, je vais essayer, merci

#18 Re : -1 »  Port parallèle non trouvé » Le 23/06/2006, à 10:31

mildred
Réponses : 14

Cela ne fonctionne pas mieux avec le live-cd Dapper sad

Sinon, ce matin, j'ai eu un problème d'IRQ ... et du coup, Xorg ne voulait plus démarrer (module proprio nvidia, désolée). En fait, la carte ports série/parallèle était sur un port PCI qui partagait l'IRQ10 avec le FireWire IEEE1394 et le port AGP ... du coup, j'ai changé la carte de port PCI et ca marche bien pour la vidéo.
Mais pas encore de port parallèle sad

Peut être un autre kernel ?

#19 Re : -1 »  Port parallèle non trouvé » Le 01/07/2006, à 22:26

mildred
Réponses : 14

Non, ca ne marche pas sad ...
Et en plus j'avais confondu Hoary et Warty ... c'est avec le live-cd warty que ca marche, pas hoary.

En attendant, je boote sous warty pour faire des impressions ... la prochaine étape, je pense, c'est installer un kernel officiel compilé à la main. Et si ca ne marche pas ... peut être regarder avec un autre kernel plus ancien (celui de la warty=2.6.7) ... et peut être reporter un problème directement aux dev. du kernel ...

#20 Re : -1 »  Port parallèle non trouvé » Le 02/07/2006, à 21:46

mildred
Réponses : 14

cela vient peut être aussi du système de périphériqques ... je crois qu'il y a udev et devfs, foir d'autres ... peut être me documenter la dessus aussi.
enfin, merci.

#21 -1 »  Fvwm, FvwmScripts et unicode (utf-8) » Le 02/02/2006, à 12:40

mildred
Réponses : 0

Bonjour,

récamment, j'ai voulu utiliser fvwm et j'ai réussi a me faire une jolie configuration ...
J'utilise FvwmScripts pour m'afficher la date dans ce qu'on pourrait appeler un panel (comme le gnome-panel) ... pour cela, je demande a fvwnScript de récupérer la date a partir de la commande 'date'

Problème, lorsqu'on est passé de janvier à février, je ne vois pas février mais février ... un peu gênant quand même
Alors je me demandais si il était possible
- de faire comprendre l'utf-8 à FvwmScripts
- ou de demander a date d'afficher la date en ISO-8859-1

J'ai bien essayé de faire LC_TIME=fr_FR.ISO-8859-1 date mais je n'ai pas la locale fr_FR.ISO-8859-1 d'installée ... et je ne sais pas comment faire pour l'installer ....
Merci des réponses

Mildred

PS: vous ne connaîtriez pas un émulateur de terminal supportant
- les multis onglets (gnome-terminal, multi-aterm, mrxvt)
- la transparence
- utf-8 (gnome-terminal)
- un paramètre -name pour lui demander de s'enregistrer sous un certain nom auprès serveur X (pas gnome-terminal)
Merci

#22 Re : -1 »  problème avzc metisse » Le 24/12/2005, à 00:27

mildred
Réponses : 1

Tiens, j'ai le même problème ... lorsque je passe par gdm
Quelqu'un peux nous aider ..?

Lorsque je fais à la main, Xwnc semble bien fonctionner dans mon cas (Xwnc -ac -geometry 800x600 :1) mais metisse-start-fvwm m'affiche un écran 800x600 de la couleur bleu/vert Windows qui ne se rafraichit pas.

#23 -1 »  cherche une surcouche à dpkg » Le 29/06/2005, à 00:10

mildred
Réponses : 3

Bonsoir,

Je cherche à installer libogre disponible chez Debian et proposé pour universe (mais pas encore packagé).
J'ai ajouté des dépots spécifiques (deb http://snapshot.debian.net/archive pool ogre)
Le problème c'est que lorsque je tente d'installer libogre5:

root@louve:/home/mildred # apt-get install libogre5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.

Puisque vous n'avez demandé qu'une seule opération, le paquet n'est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
  libogre5: Dépend: libc6 (>= 2.3.2.ds1-21) mais 2.3.2.ds1-20ubuntu13 devra être installé
            Dépend: libopenexr2 (>= 1.2.2) mais 1.2.1-2 devra être installé
E: Paquets défectueux

Ce qui m'embête c'est qu'apt veut installer la version debian de la libc6 et une autre lib ... Pourtant je suis sure qu'avec la version ubuntu de la libc6 ça fonctionnerait, et peut être même avec ma version de libopenexr2.
Donc, j'aimerais tenter l'installation tout de même

Comme apt-get ne permet pas de forcer l'installation de paquets (ou alors dites moi, je suis plus qu'intéressée). Il faut que je passe par dpkg qui permet d'installer tout de même.
Donc j'aimerais trouver une surcouche à dpkg qui toute seule :
- télécharge les paquets
- télécharge les dépendances qu'il est possible de trouver
- me demande pour les dépendances introuvables si je veux continuer ou pas
- installe le tout

Ce fabuleux logiciel existe-il ?
Il me semble q'urpmi correspondait à peu près mais c'est pour Mandrake uniquement. Dommage.

Merci pour toute réponse.

#24 Re : -1 »  cherche une surcouche à dpkg » Le 15/07/2005, à 17:47

mildred
Réponses : 3

Je cite la page man de apt-get:

       -f

       --fix-broken
              Correction  ;  essaye de réparer un système dont les dépendances
              sont  défectueuses.  Cette  option,  utilisée  avec  install  ou
              remove,  peut  omettre tout paquet de façon à permettre à APT de
              déduire  une  solution  viable.   Chaque  paquet  spécifié  doit
              complètement  corriger le problème. Cette option est quelquefois
              nécessaire lorsque l’on exécute APT pour la première fois ;  APT
              lui-même  interdit les dépendances défectueuses dans un système.
              Il est possible que la structure  de  dépendances  d’un  système
              soit  tellement  corrompue  qu’elle  requiert  une  intervention
              manuelle (ce qui veut dire la plupart  du  temps  utiliser  dse&#8208;
              lect(8)  ou  dpkg  --remove pour éliminer les paquets en cause).
              L’utilisation de cette option conjointement avec  -m  peut  pro&#8208;
              duire une erreur dans certaines situations.  Élément de configu&#8208;
              ration : APT::Get::Fix-Broken.

Il n'y a pas d'option --force a ma conaissance.

J'aimerais bien avoir le choix de gérer moi même les dépendances ...
Sinon ce qui serait bien, ce serait des dépendances sur loes fichiers installés, pas sur les noms de paquets+version. C'est à dire qu'un paquet dépendrait d'un fichier et non pas d'un autre paquet
Et on peut tout à fait imaginer des fichiers vides qui serviraient a gérer ces dépendances...
non ? Mais ca feait un autre système de paquets...